$LastChangedDate: 27-Juil-2011 $

# CL_g_select

Selection of graphic entities

## Calling Sequence

       [h] = CL_g_select(root, typ, tag)

## Description

- Selects graphic entities according to 2 criteria: type of graphic entity and tag (user_data value).

## Parameters

root:

  (optional) Root of the hierarchy of graphic entities to be examined. Default = current axes (gca()).

typ:

  (optional) Type (string) of graphic entity: "Polyline", "Text", "Legend", etc... Default is '*', meaning 'all'.

tag:

  (optional) User_data value (see CL_g_tag). Default is '*', meaning 'any value'.

h:

  Vector of the selected graphic entities.

## Authors

- CNES - DCT/SB (AL)

## See also

- CL_g_tag

## Examples

    f=scf();
    a=gca();
    x = 0:0.1:5;
    plot(x, x.^2);
    CL_g_tag(a,1);
    plot(x, x.^3, '-r');
    CL_g_tag(a,2);
    h = CL_g_select(a, "Polyline");
    h.thickness = 2;
    h = CL_g_select(a, "Polyline", 2);
    h.thickness = 4;